Package org.eclipse.emf.cdo.etypes.provider

# Class AnnotationItemProvider.ReferencesPropertyDescriptor

java.lang.Object
org.eclipse.emf.edit.provider.ItemPropertyDescriptor
org.eclipse.emf.cdo.etypes.provider.AnnotationItemProvider.ReferencesPropertyDescriptor

All Implemented Interfaces:
  `IItemPropertyDescriptor`, `IItemPropertyDescriptor.OverrideableCommandOwner`, `IItemPropertyDescriptor.ValueHandlerProvider`, `IPropertyEditorFactory.Provider`

Enclosing class:
  AnnotationItemProvider

protected class AnnotationItemProvider.ReferencesPropertyDescriptor extends ItemPropertyDescriptor
A specialized property descriptor for the `annotation references` feature. Specialized `annotation item providers` created by an `annotation item provider adapter factory` can override the `value choices` to provide more restricted choices. But they won't generally need to do that because this implementation delegates to the `assistant`.

Since:
  4.6

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor

`ItemPropertyDescriptor.DataTypeValueHandler, ItemPropertyDescriptor.ItemDelegator, ItemPropertyDescriptor.PropertyValueWrapper`

## Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor

`IItemPropertyDescriptor.OverrideableCommandOwner, IItemPropertyDescriptor.ValueHandler, IItemPropertyDescriptor.ValueHandlerProvider`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor

`adapterFactory, BOOLEAN_VALUE_IMAGE, category, commandOwner, description, displayName, ecorePackage, editorFactory, feature, filterFlags, GENERIC_VALUE_IMAGE, INTEGRAL_VALUE_IMAGE, isSettable, itemDelegator, multiLine, NO_VALUE_IMAGE, parentReferences, REAL_VALUE_IMAGE, resourceLocator, sortChoices, staticImage, TEXT_VALUE_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`ReferencesPropertyDescriptor()`

## Method Summary

Modifier and Type
Method
Description
`Collection<?>`
`getChoiceOfValues(Object object)`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor

`canSetProperty, collectReachableObjectsOfType, collectReachableObjectsOfType, createPropertyValueWrapper, getCategory, getComboBoxObjects, getCommandOwner, getCommandOwner, getDefaultId, getDefaultValue, getDescription, getDisplayName, getEditingDomain, getEditorFactory, getFeature, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getPropertyValue, getReachableObjectsOfType, getReachableObjectsOfType, getValue, getValueHandler, isChoiceArbitrary, isCompatibleWith, isMany, isMultiLine, isPropertySet, isPropertyUnsettable, isSortChoices, resetPropertyValue, setCommandOwner, setPropertyValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReferencesPropertyDescriptor

public ReferencesPropertyDescriptor()

## Method Details

### getChoiceOfValues

public Collection<?> getChoiceOfValues(Object object)

This implementation is specialized to delegate to the `assistant`.

Specified by:
  `getChoiceOfValues` in interface `IItemPropertyDescriptor`
Overrides:
  `getChoiceOfValues` in class `ItemPropertyDescriptor`